View a markdown version of this page

GetAction - AWS Support authorization

GetAction

Retrieves the description of a specific support action.

Request Syntax

GET /actions/action HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

action

The name of the support action to retrieve.

Length Constraints: Minimum length of 3. Maximum length of 255.

Pattern: [a-z][a-z0-9-]*:[A-Za-z0-9_.-]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "action": "string", "description": "string", "service": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

action

The name of the support action.

Type: String

Length Constraints: Minimum length of 3. Maximum length of 255.

Pattern: [a-z][a-z0-9-]*:[A-Za-z0-9_.-]+

description

A description of what the support action does.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 10240.

service

The AWS service associated with the support action.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [a-zA-Z0-9-]+

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You don't have sufficient permissions to perform this operation.

HTTP Status Code: 403

InternalServerException

An internal service error occurred. Try again later.

retryAfterSeconds

The number of seconds to wait before retrying the request.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource does not exist.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ThrottlingException

The request rate exceeded the allowed limit. Try again later.

retryAfterSeconds

The number of seconds to wait before retrying the request.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of fields that fail validation. Each entry identifies the field and the reason for the constraint violation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: